package com.ss.android.ugc.aweme.ecommerce.pdp.repository.dto;

import X.C5557C3t;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.ecommerce.api.model.Icon;

public final class ShopPolicy implements Parcelable {
    public static final Parcelable.Creator<ShopPolicy> CREATOR = new C5557C3t();
    @c(LIZ = "name")
    public final String LIZ;
    @c(LIZ = "description")
    public final String LIZIZ;
    @c(LIZ = "logo")
    public final Icon LIZJ;
    @c(LIZ = "small_logo")
    public final Icon LIZLLL;

    static {
        Covode.recordClassIndex(71540);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        parcel.writeString(this.LIZIZ);
        Icon icon = this.LIZJ;
        if (icon != null) {
            parcel.writeInt(1);
            icon.writeToParcel(parcel, 0);
        } else {
            parcel.writeInt(0);
        }
        Icon icon2 = this.LIZLLL;
        if (icon2 != null) {
            parcel.writeInt(1);
            icon2.writeToParcel(parcel, 0);
            return;
        }
        parcel.writeInt(0);
    }

    public ShopPolicy(String str, String str2, Icon icon, Icon icon2) {
        this.LIZ = str;
        this.LIZIZ = str2;
        this.LIZJ = icon;
        this.LIZLLL = icon2;
    }
}
